<div class="container-fluid predmetiTable">
  <div class="row mb-3">
    <input type="text" placeholder="Pretraga po nazivu" (input)="onSearchChange()" [(ngModel)]="filter" class="form-control col-2">
    <div class="col-9"></div>
    <button (click)="onAddPredmet()" class="btn btn-success col-md-1">Dodaj Predmet</button>
  </div>
  <div class="row">
    <table class="table table-hover">
      <thead class="bg-info text-light">
        <tr>
          <th>Naziv</th>
          <th>Oznaka</th>
          <th>ESPB</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let predmet of predmeti" [routerLink]="['/predmeti', predmet.id]">
          <td>{{predmet.naziv}}</td>
          <td>{{predmet.oznaka}}</td>
          <td>{{predmet.espb}}</td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="row" >
    <label class="col-1" for="itemsPerPage">
      <b>Items per page:</b>
    </label>
    <select class="selectpicker" class="col-1" [(ngModel)]="size" name="itemsPerPage" (change)="onSelectChange()" value=5>
      <option [ngValue]="3">3</option>
      <option [ngValue]="5">5</option>
      <option [ngValue]="10">10</option>
    </select>
  </div>

  <div class="row">
    <ngb-pagination class="d-flex justify-content-start" [collectionSize]="total" [pageSize]="size" [(page)]="page" [maxSize]=7
      (pageChange)="onPageChange($event)"></ngb-pagination>
  </div>
</div>